Get Global Dependency
https://app.fossa.com/api/v2/dependencies/{locator}Get a single dependency by locator in the global scope. **Note:** Unlike the list endpoints, this single-dependency endpoint returns the full, unsanitized dependency object, including extra top-level fields and additional fields on the nested `rootProjects` and `issues` entries. See the response schema for the full contract.
Path parameters
locatorstringrequiredThe locator of the dependency to retrieve
Query parameters
includeResolutionNotesbooleanInclude resolution notes in issue data
includeLicenseTextbooleanInclude full license text in license data
includeCopyrightbooleanInclude copyright information in license data
includeMatchesbooleanInclude license match details in license data
includeDownloadUrlbooleanInclude download URL in package data
Responses
200OKdependencyobject403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/dependencies/%7Blocator%7Dcurl --request GET \ --url 'https://app.fossa.com/api/v2/dependencies/%7Blocator%7D' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
locatorstringrequiredThe locator of the dependency to retrieve
Query params
includeResolutionNotesbooleanInclude resolution notes in issue data
includeLicenseTextbooleanInclude full license text in license data
includeCopyrightbooleanInclude copyright information in license data
includeMatchesbooleanInclude license match details in license data
includeDownloadUrlbooleanInclude download URL in package data